## uhd 3.7.1

=== fpga/usrp3/top/x300/Makefile ===
#
# Copyright 2012-2013 Ettus Research LLC
#

# Uncomment following line to build with internal SRAM FIFOS instead of DRAM based FIFO's
#OPTIONS += NO_DRAM_FIFOS=1
# Uncomment the following lines to build radio's with no DSP's
#OPTIONS += DELETE_DSP0=1
#OPTIONS += DELETE_DSP1=1
# Uncomment the following line to add a debug UART on GPIO 10 & 11
#OPTIONS += DEBUG_UART=1

CREATE_LVBITX=python ../../lib/io_port2/create-lvbitx.py

GIGE_DEFS=BUILD_1G=1 $(OPTIONS)
HYBRID_DEFS=ETH10G_PORT1=1 BUILD_1G=1 BUILD_10G=1 $(OPTIONS)
XGIGE_DEFS=ETH10G_PORT0=1 ETH10G_PORT1=1 BUILD_10G=1 $(OPTIONS)
HYBRID_SRAM_DEFS=ETH10G_PORT1=1 BUILD_1G=1 BUILD_10G=1 NO_DRAM_FIFOS=1 SRAM_FIFO_SIZE=16 $(OPTIONS)
XGIGE_SRAM_DEFS=ETH10G_PORT0=1 ETH10G_PORT1=1 BUILD_10G=1 NO_DRAM_FIFOS=1 SRAM_FIFO_SIZE=16 $(OPTIONS)

all: X300 X310
	find -name "*.twr" | xargs grep constraint | grep met

clean:
	rm -rf build*

#Build X300_HGS and X300_XGS
X300: X300_HGS X300_XGS

#Build X310_HGS and X310_XGS
X310: X310_HGS X310_XGS

#Build DRAM Hybrid images
DRAM: X300_HG X310_HG

#Build X300_HGS and X310_HGS
HGS: X300_HGS X310_HGS

#Build X300_HGS and X310_HGS
XGS: X300_XGS X310_XGS

#1Gig on both ports
X310_1G:
	make -f Makefile.x300.inc bin NAME=$@ DEVICE=XC7K410T $(GIGE_DEFS) EXTRA_DEFS="$(GIGE_DEFS)"
	mkdir -p build
	cp build-X310/x300.bin build/usrp_x310_fpga_1G.bin
	cp build-X310/x300.bit build/usrp_x310_fpga_1G.bit
	$(CREATE_LVBITX) --input-bin=build-X310/x300.bin --output-lvbitx=build/usrp_x310_fpga_1G.lvbitx --device="USRP X310" x3x0_base.lvbitx
	cp -f x3x0_base.lvbitx build/x310.lvbitx_base


X300_1G:
	make -f Makefile.x300.inc bin NAME=$@ DEVICE=XC7K325T $(GIGE_DEFS) EXTRA_DEFS="$(GIGE_DEFS)"
	mkdir -p build
	cp build-X300/x300.bin build/usrp_x300_fpga_1G.bin
	cp build-X300/x300.bit build/usrp_x300_fpga_1G.bit
	$(CREATE_LVBITX) --input-bin=build-X300/x300.bin --output-lvbitx=build/usrp_x300_fpga_1G.lvbitx --device="USRP X300" x3x0_base.lvbitx
	cp -f x3x0_base.lvbitx build/x300.lvbitx_base

#1Gig on port0, 10Gig on port1
X310_HG:
	make -f Makefile.x300.inc bin NAME=$@ DEVICE=XC7K410T $(HYBRID_DEFS) EXTRA_DEFS="$(HYBRID_DEFS)" FLOORPLAN="$(FLOORPLAN)"
	mkdir -p build
	cp build-X310_HG/x300.bin build/usrp_x310_fpga_HG.bin
	cp build-X310_HG/x300.bit build/usrp_x310_fpga_HG.bit
	$(CREATE_LVBITX) --input-bin=build-X310_HG/x300.bin --output-lvbitx=build/usrp_x310_fpga_HG.lvbitx --device="USRP X310" x3x0_base.lvbitx
	cp -f x3x0_base.lvbitx build/x310.lvbitx_base

X300_HG:
	make -f Makefile.x300.inc bin NAME=$@ DEVICE=XC7K325T $(HYBRID_DEFS) EXTRA_DEFS="$(HYBRID_DEFS)" FLOORPLAN="$(FLOORPLAN)"
	mkdir -p build
	cp build-X300_HG/x300.bin build/usrp_x300_fpga_HG.bin
	cp build-X300_HG/x300.bit build/usrp_x300_fpga_HG.bit
	$(CREATE_LVBITX) --input-bin=build-X300_HG/x300.bin --output-lvbitx=build/usrp_x300_fpga_HG.lvbitx --device="USRP X300" x3x0_base.lvbitx
	cp -f x3x0_base.lvbitx build/x300.lvbitx_base

#10Gig on both ports
X310_XG:
	make -f Makefile.x300.inc bin NAME=$@ DEVICE=XC7K410T $(XGIGE_DEFS) EXTRA_DEFS="$(XGIGE_DEFS)" FLOORPLAN="$(FLOORPLAN)"
	mkdir -p build
	cp build-X310_XG/x300.bin build/usrp_x310_fpga_XG.bin
	cp build-X310_XG/x300.bit build/usrp_x310_fpga_XG.bit
	$(CREATE_LVBITX) --input-bin=build-X310_XG/x300.bin --output-lvbitx=build/usrp_x310_fpga_XG.lvbitx --device="USRP X310" x3x0_base.lvbitx
	cp -f x3x0_base.lvbitx build/x310.lvbitx_base

X300_XG:
	make -f Makefile.x300.inc bin NAME=$@ DEVICE=XC7K325T $(XGIGE_DEFS) EXTRA_DEFS="$(XGIGE_DEFS)" FLOORPLAN="$(FLOORPLAN)"
	mkdir -p build
	cp build-X300_XG/x300.bin build/usrp_x300_fpga_XG.bin
	cp build-X300_XG/x300.bit build/usrp_x300_fpga_XG.bit
	$(CREATE_LVBITX) --input-bin=build-X300_XG/x300.bin --output-lvbitx=build/usrp_x300_fpga_XG.lvbitx --device="USRP X300" x3x0_base.lvbitx
	cp -f x3x0_base.lvbitx build/x300.lvbitx_base

# 1Gig on port0, 10Gig on port1, SRAM Tx FIFO's
X310_HGS:
	make -f Makefile.x300.inc bin NAME=$@ DEVICE=XC7K410T $(HYBRID_SRAM_DEFS) EXTRA_DEFS="$(HYBRID_SRAM_DEFS)" FLOORPLAN="$(FLOORPLAN)"
	mkdir -p build
	cp build-X310_HGS/x300.bin build/usrp_x310_fpga_HGS.bin
	cp build-X310_HGS/x300.bit build/usrp_x310_fpga_HGS.bit
	$(CREATE_LVBITX) --input-bin=build-X310_HGS/x300.bin --output-lvbitx=build/usrp_x310_fpga_HGS.lvbitx --device="USRP X310" x3x0_base.lvbitx
	cp -f x3x0_base.lvbitx build/x310.lvbitx_base

X300_HGS:
	make -f Makefile.x300.inc bin NAME=$@ DEVICE=XC7K325T $(HYBRID_SRAM_DEFS) EXTRA_DEFS="$(HYBRID_SRAM_DEFS)" FLOORPLAN="$(FLOORPLAN)"
	mkdir -p build
	cp build-X300_HGS/x300.bin build/usrp_x300_fpga_HGS.bin
	cp build-X300_HGS/x300.bit build/usrp_x300_fpga_HGS.bit
	$(CREATE_LVBITX) --input-bin=build-X300_HGS/x300.bin --output-lvbitx=build/usrp_x300_fpga_HGS.lvbitx --device="USRP X300" x3x0_base.lvbitx
	cp -f x3x0_base.lvbitx build/x300.lvbitx_base

# 1Gig on both ports, SRAM Tx FIFO's
X310_XGS: 
	make -f Makefile.x300.inc bin NAME=$@ DEVICE=XC7K410T $(XGIGE_SRAM_DEFS) EXTRA_DEFS="$(XGIGE_SRAM_DEFS)" FLOORPLAN="$(FLOORPLAN)"
	mkdir -p build
	cp build-X310_XGS/x300.bin build/usrp_x310_fpga_XGS.bin
	cp build-X310_XGS/x300.bit build/usrp_x310_fpga_XGS.bit
	$(CREATE_LVBITX) --input-bin=build-X310_XGS/x300.bin --output-lvbitx=build/usrp_x310_fpga_XGS.lvbitx --device="USRP X310" x3x0_base.lvbitx
	cp -f x3x0_base.lvbitx build/x310.lvbitx_base

X300_XGS:
	make -f Makefile.x300.inc bin NAME=$@ DEVICE=XC7K325T $(XGIGE_SRAM_DEFS) EXTRA_DEFS="$(XGIGE_SRAM_DEFS)" FLOORPLAN="$(FLOORPLAN)"
	mkdir -p build
	cp build-X300_XGS/x300.bin build/usrp_x300_fpga_XGS.bin
	cp build-X300_XGS/x300.bit build/usrp_x300_fpga_XGS.bit
	$(CREATE_LVBITX) --input-bin=build-X300_XGS/x300.bin --output-lvbitx=build/usrp_x300_fpga_XGS.lvbitx --device="USRP X300" x3x0_base.lvbitx
	cp -f x3x0_base.lvbitx build/x300.lvbitx_base



.PHONY: all clean

=== debian/changelog ===
uhd (3.7.1-2) unstable; urgency=low

  * Apply maint branch fixes through release_003_007_001-49-gdf4cf6d
  * Fix B2xx udev rules

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 01 Jul 2014 22:34:32 -0400

uhd (3.7.1-1~bpo70+1) wheezy-backports; urgency=low
  
  * Rebuild for wheezy-backports.
  * Breaks gnuradio 3.6.3.2-1 in wheezy, needed by gnuradio 3.7.3 backport.
  * New upstream release
  * Include USRP NetworkManager configuration
  * Include additional bugfix patches from git maint branch
  * Introduced USRP X300 and X310 support!
  * Releasing a CHDR Dissector for Wireshark analysis
  * Improved USRP B200 and B210 stability
  * Introducing Integer-N tuning for WBX, SBX, CBX daughterboards
  * Introducing support for 120 MHz versions of WBX, SBX, CBX
  * Lots of new documentation
  * New GPIO example for USRP X300
  * Fixed threading bug in USRP B2xx code causing GQRX issue
  * General UHD bug fixes & improvements
  * b200: Fixed bug in rx_dsp_core_3000 that would assume 3 halfbands
    and X300 settings interface.
  * Include patch from Avery Pennarun (Closes: #739852)
  * Conflicts with earlier versions on gnuradio (Closes: #733690)
  * Completely re-written UHD Images Downloader, with bug fixes, new features.
  
 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 24 May 2014 20:33:59 -0400
  

uhd (3.7.1-1) unstable; urgency=low

  * New upstream release
  * Include USRP NetworkManager configuration

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 22 Apr 2014 21:16:32 -0400

uhd (3.7.0-3) unstable; urgency=low

  * update to release_003_007_000-72-gb6f1253
  * reduce boost dependency to components listed in host/CMakelists.txt

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 08 Apr 2014 22:02:04 -0400

uhd (3.7.0-2) unstable; urgency=low

  * Include additional bugfix patches from git maint branch

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 29 Mar 2014 20:01:30 -0400

uhd (3.7.0-1) unstable; urgency=low

  * New upstream release
  * Introduced USRP X300 and X310 support!
  * Releasing a CHDR Dissector for Wireshark analysis
  * Improved USRP B200 and B210 stability
  * Introducing Integer-N tuning for WBX, SBX, CBX daughterboards
  * Introducing support for 120 MHz versions of WBX, SBX, CBX
  * Lots of new documentation
  * New GPIO example for USRP X300
  * Fixed threading bug in USRP B2xx code causing GQRX issue
  * General UHD bug fixes & improvements
  * b200: Fixed bug in rx_dsp_core_3000 that would assume 3 halfbands
    and X300 settings interface.
  * Include patch from Avery Pennarun (Closes: #739852)
  * Conflicts with earlier versions on gnuradio (Closes: #733690)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 23 Feb 2014 17:48:29 -0500

uhd (3.6.2-1) unstable; urgency=low

  * New upstream release
  * Completely re-written UHD Images Downloader, with bug fixes, new features.

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 21 Jan 2014 09:43:19 -0500

uhd (3.6.2~rc2-1) experimental; urgency=low

  * New upstream release candidate

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 14 Dec 2013 09:56:03 -0500

uhd (3.6.2~rc1-1) experimental; urgency=low

  * New upstream release candidate

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 05 Dec 2013 16:18:28 -0500

## uhd 3.7.2

=== tools/uhd_dump/Makefile ===
# Copyright 2013-2014 Ettus Research LLC
#
# GNU Radio is free software; you can redistribute it and/or modify it under the
# terms of the GNU General Public License as published by the Free Software
# Foundation; either version 3, or (at your option) any later version.
#
# GNU Radio is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
# A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# GNU Radio; see the file COPYING.  If not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Boston, MA 02110-1301, USA.

INCLUDES = usrp3_regs.h uhd_dump.h

BINARIES = chdr_log

OBJECTS = uhd_dump.o

CFLAGS = -g -O0 -Wall

LDFLAGS = -lpcap -lm

CC = cc

.PHONY: all
all: $(BINARIES)

chdr_log: uhd_dump.o chdr_log.o $(INCLUDES)
	$(CC) $(CFLAGS) -o $@ uhd_dump.o chdr_log.o  $(LDFLAGS)



clean:
	rm $(BINARIES)  $(BINARIES:%=%.o) $(OBJECTS)

=== fpga/usrp3/top/x300/Makefile ===
#
# Copyright 2012-2013 Ettus Research LLC
#

# Uncomment the following lines to build radio's with no DSP's
#OPTIONS += DELETE_DSP0=1
#OPTIONS += DELETE_DSP1=1
# Uncomment the following line to add a debug UART on GPIO 10 & 11
#OPTIONS += DEBUG_UART=1

CREATE_LVBITX=python ../../lib/io_port2/create-lvbitx.py

GIGE_DEFS=BUILD_1G=1 $(OPTIONS)
HYBRID_DEFS=ETH10G_PORT1=1 BUILD_1G=1 BUILD_10G=1 $(OPTIONS)
XGIGE_DEFS=ETH10G_PORT0=1 ETH10G_PORT1=1 BUILD_10G=1 $(OPTIONS)
HYBRID_SRAM_DEFS=ETH10G_PORT1=1 BUILD_1G=1 BUILD_10G=1 NO_DRAM_FIFOS=1 SRAM_FIFO_SIZE=16 $(OPTIONS)
XGIGE_SRAM_DEFS=ETH10G_PORT0=1 ETH10G_PORT1=1 BUILD_10G=1 NO_DRAM_FIFOS=1 SRAM_FIFO_SIZE=16 $(OPTIONS)

X300: X300_HGS X300_HG X300_XGS X300_XG

X310: X310_HGS X310_HG X310_XGS X310_XG

all: X300 X310

clean:
	rm -rf build-*_*
	rm -rf build

print_report = \
	echo "========================================================================"; \
	cat $(1) | grep "Design Summary:" -A 124; \
	echo "========================================================================"; \
	echo "Timing Summary:\n"; \
	cat $(1) | grep constraint | grep met | grep -v "*"; \
	echo "========================================================================";

# post_build($1=Device, $2=Flavor)
post_build = \
	@$(call print_report,build-$(1)_$(2)/build.log) \
	mkdir -p build; \
	echo "Exporting bitstream files..."; \
	cp build-$(1)_$(2)/x300.bin build/usrp_`echo $(1) | tr A-Z a-z`_fpga_$(2).bin; \
	cp build-$(1)_$(2)/x300.bit build/usrp_`echo $(1) | tr A-Z a-z`_fpga_$(2).bit; \
	echo "Generating LVBITX..."; \
	$(CREATE_LVBITX) --input-bin=build-$(1)_$(2)/x300.bin --output-lvbitx=build/usrp_`echo $(1) | tr A-Z a-z`_fpga_$(2).lvbitx --device="USRP $(1)" x3x0_base.lvbitx; \
	cp -f x3x0_base.lvbitx build/`echo $(1) | tr A-Z a-z`.lvbitx_base; \
	echo "Exporting logs..."; \
	cp build-$(1)_$(2)/build.log build/usrp_`echo $(1) | tr A-Z a-z`_fpga_$(2).log; \
	cp build-$(1)_$(2)/x300.twr build/usrp_`echo $(1) | tr A-Z a-z`_fpga_$(2).twr; \
	echo "\nDONE ... $(1)_$(2)\n";


#1Gig on both ports
X310_1G:
	make -f Makefile.x300.inc bin NAME=$@ DEVICE=XC7K410T $(GIGE_DEFS) EXTRA_DEFS="$(GIGE_DEFS)"
	$(call post_build,X310,1G)

X300_1G:
	make -f Makefile.x300.inc bin NAME=$@ DEVICE=XC7K325T $(GIGE_DEFS) EXTRA_DEFS="$(GIGE_DEFS)"
	$(call post_build,X300,1G)

#1Gig on port0, 10Gig on port1
X310_HG:
	make -f Makefile.x300.inc bin NAME=$@ DEVICE=XC7K410T $(HYBRID_DEFS) EXTRA_DEFS="$(HYBRID_DEFS)"
	$(call post_build,X310,HG)

X300_HG:
	make -f Makefile.x300.inc bin NAME=$@ DEVICE=XC7K325T $(HYBRID_DEFS) EXTRA_DEFS="$(HYBRID_DEFS)"
	$(call post_build,X300,HG)

#10Gig on both ports
X310_XG:
	make -f Makefile.x300.inc bin NAME=$@ DEVICE=XC7K410T $(XGIGE_DEFS) EXTRA_DEFS="$(XGIGE_DEFS)"
	$(call post_build,X310,XG)

X300_XG:
	make -f Makefile.x300.inc bin NAME=$@ DEVICE=XC7K325T $(XGIGE_DEFS) EXTRA_DEFS="$(XGIGE_DEFS)"
	$(call post_build,X300,XG)

# 1Gig on port0, 10Gig on port1, SRAM Tx FIFO's
X310_HGS:
	make -f Makefile.x300.inc bin NAME=$@ DEVICE=XC7K410T $(HYBRID_SRAM_DEFS) EXTRA_DEFS="$(HYBRID_SRAM_DEFS)"
	$(call post_build,X310,HGS)

X300_HGS:
	make -f Makefile.x300.inc bin NAME=$@ DEVICE=XC7K325T FLOORPLAN=1 $(HYBRID_SRAM_DEFS) EXTRA_DEFS="$(HYBRID_SRAM_DEFS)"
	$(call post_build,X300,HGS)

# 10Gig on both ports, SRAM Tx FIFO's
X310_XGS: 
	make -f Makefile.x300.inc bin NAME=$@ DEVICE=XC7K410T $(XGIGE_SRAM_DEFS) EXTRA_DEFS="$(XGIGE_SRAM_DEFS)"
	$(call post_build,X310,XGS)

X300_XGS:
	make -f Makefile.x300.inc bin NAME=$@ DEVICE=XC7K325T $(XGIGE_SRAM_DEFS) EXTRA_DEFS="$(XGIGE_SRAM_DEFS)"
	$(call post_build,X300,XGS)


.PHONY: all clean

=== debian/changelog ===
uhd (3.7.2-1+bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 21 Sep 2014 12:12:40 -0400

uhd (3.7.2-1) unstable; urgency=low

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 22 Aug 2014 12:40:05 -0400

=== debian/control ===
Source: uhd
Section: science
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Uploaders: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 9), cmake (>= 2.8.4+dfsg.1-3), python-dev, python-cheetah, python-docutils, doxygen, libusb-1.0-0-dev [linux-any], libusb2-dev [kfreebsd-any], liborc-0.4-dev, liboil0.3-dev, libncurses5-dev, pkg-config,
 libboost-dev,
 libboost-date-time-dev,
 libboost-filesystem-dev,
 libboost-program-options-dev,
 libboost-regex-dev,
 libboost-system-dev,
 libboost-thread-dev,
 libboost-test-dev,
 libboost-serialization-dev
Standards-Version: 3.9.4
Homepage: http://code.ettus.com/redmine/ettus/projects/uhd/wiki
Vcs-Git: git://code.ettus.com/ettus/uhd.git

Package: uhd-host
Architecture: any
Depends: libuhd003, python, adduser, ${shlibs:Depends}, ${misc:Depends}
Recommends: python-tk, curl, procps
Suggests: gnuradio
Description: universal hardware driver for Ettus Research products
 Host utilities for the Universal Hardware Driver for Ettus Research products.
 .
 The supported devices provide analog radio receiver and transmitter hardware
 along with digital interfaces for getting signals to and from a software
 defined radio running on the host computer.
 .
 This package includes the uhd_find_devices application to locate and
 configure attached peripherals, and the uhd_usrp_probe application to
 display hardware configuration information.

Package: libuhd003
Architecture: any
Section: libs
Pre-Depends: multiarch-support, ${misc:Pre-Depends}
Depends: python, adduser, ${shlibs:Depends}, ${misc:Depends}
Conflicts: gnuradio (<<3.7.2.2)
Suggests: gnuradio
Multi-Arch: same
Description: universal hardware driver for Ettus Research products
 Host library for the Universal Hardware Driver for Ettus Research products.
 .
 The supported devices provide analog radio receiver and transmitter hardware
 along with digital interfaces for getting signals to and from a software
 defined radio running on the host computer.

Package: libuhd-dev
Architecture: any
Section: libdevel
Depends: libuhd003 (= ${binary:Version}), python, adduser, ${shlibs:Depends}, ${misc:Depends}
Suggests: libjs-jquery
Recommends: gnuradio
Description: universal hardware driver for Ettus Research products
 Host library for the Universal Hardware Driver for Ettus Research products.
 .
 The supported devices provide analog radio receiver and transmitter hardware
 along with digital interfaces for getting signals to and from a software
 defined radio running on the host computer.
 .
 This package contains the header files and documentation for
 developing with libuhd.
